net.sf.jasperreports.engine.export.ooxml

## Class XlsxSheetHelper

- java.lang.Object
- - net.sf.jasperreports.engine.export.ooxml.BaseHelper
  - - net.sf.jasperreports.engine.export.ooxml.XlsxSheetHelper

-     public class XlsxSheetHelper
      extends BaseHelper

  Version:
    $Id: XlsxSheetHelper.java 6805 2014-01-10 12:42:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper

      `jasperReportsContext, writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XlsxSheetHelper(JasperReportsContext jasperReportsContext, java.io.Writer writer, XlsxSheetRelsHelper sheetRelsHelper, XlsReportConfiguration configuration)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `calculateHeightForDinAN(int n)`
    `protected int` | `calculateWidthForDinAN(int n)`
    `void` | `exportColumn(int colIndex, int colWidth, boolean autoFit)`
    `void` | `exportFooter(int index, JasperPrint jasperPrint, boolean isIgnorePageMargins, java.lang.String autoFilter, java.lang.Integer scale, java.lang.Integer firstPageNumber, boolean firstPageNotSet)` public void exportFooter(int index, JasperPrint jasperPrint, boolean isIgnorePageMargins)//FIXMEODT no longer used?
    `void` | `exportHeader()`
    `void` | `exportHeader(boolean showGridlines, int scale, int rowFreeze, int columnFreeze, JasperPrint jasperPrint)`
    `void` | `exportHeader(int scale, int rowFreeze, int columnFreeze, JasperPrint jasperPrint)`
    `void` | `exportHeader(int rowFreeze, int columnFreeze, JasperPrint jasperPrint)`
    `void` | `exportHyperlink(int row, int col, java.lang.String href)`
    `void` | `exportHyperlink(int row, int col, java.lang.String href, boolean isLocal)`
    `void` | `exportMergedCells(int row, int col, int rowSpan, int colSpan)`
    `void` | `exportRow(int rowHeight)`
    `void` | `exportRow(int rowHeight, Cut yCut, XlsRowLevelInfo levelInfo)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper

      `close, flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XlsxSheetHelper

          public XlsxSheetHelper(JasperReportsContext jasperReportsContext,
                         java.io.Writer writer,
                         XlsxSheetRelsHelper sheetRelsHelper,
                         XlsReportConfiguration configuration)

  - ### Method Detail

    - #### exportHeader

          public void exportHeader()

    - #### exportHeader

          public void exportHeader(int rowFreeze,
                          int columnFreeze,
                          JasperPrint jasperPrint)

    - #### exportHeader

          public void exportHeader(boolean showGridlines,
                          int scale,
                          int rowFreeze,
                          int columnFreeze,
                          JasperPrint jasperPrint)

    - #### exportHeader

          public void exportHeader(int scale,
                          int rowFreeze,
                          int columnFreeze,
                          JasperPrint jasperPrint)

    - #### exportFooter

          public void exportFooter(int index,
                          JasperPrint jasperPrint,
                          boolean isIgnorePageMargins,
                          java.lang.String autoFilter,
                          java.lang.Integer scale,
                          java.lang.Integer firstPageNumber,
                          boolean firstPageNotSet)

      public void exportFooter(int index, JasperPrint jasperPrint, boolean isIgnorePageMargins)//FIXMEODT no longer used? { exportFooter(index, jasperPrint, isIgnorePageMargins, null, null); } /** public void exportFooter(int index, JasperPrint jasperPrint, boolean isIgnorePageMargins, String autoFilter)//FIXMEODT no longer used? { exportFooter(index, jasperPrint, isIgnorePageMargins, autoFilter, null); } /** public void exportFooter(int index, JasperPrint jasperPrint, boolean isIgnorePageMargins, String autoFilter, Integer scale)//FIXMEODT no longer used? { exportFooter(index, jasperPrint, isIgnorePageMargins, autoFilter, null, null, true); } /**

    - #### exportColumn

          public void exportColumn(int colIndex,
                          int colWidth,
                          boolean autoFit)

    - #### exportRow

          public void exportRow(int rowHeight,
                       Cut yCut,
                       XlsRowLevelInfo levelInfo)

    - #### exportRow

          public void exportRow(int rowHeight)

    - #### exportMergedCells

          public void exportMergedCells(int row,
                               int col,
                               int rowSpan,
                               int colSpan)

    - #### exportHyperlink

          public void exportHyperlink(int row,
                             int col,
                             java.lang.String href)

    - #### exportHyperlink

          public void exportHyperlink(int row,
                             int col,
                             java.lang.String href,
                             boolean isLocal)

    - #### calculateWidthForDinAN

          protected final int calculateWidthForDinAN(int n)

    - #### calculateHeightForDinAN

          protected final int calculateHeightForDinAN(int n)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com